import { ChangeDetectorRef, EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { ActiveCartService } from '@spartacus/core';
import { CartService } from '../../../services/cart.service';
import * as i0 from "@angular/core";
export declare class CustomCartGridComponent implements OnInit, OnChanges {
    private cartService;
    private cdr;
    private activeCartService;
    isFinishedPoduct: boolean;
    additinalselectedColour: any;
    modalSelectedColour: any;
    isShow: boolean;
    showDetails: any;
    disableAddMore: boolean;
    errorIndex: any;
    rowIndex: number;
    cartId: any;
    showWaitCursor: BehaviorSubject<boolean>;
    additionalPara: any;
    cartDetails: any;
    updateCartEntry: EventEmitter<any>;
    closeInviteModal: any;
    isModalSelectedColor: any;
    selectedColour: any;
    selectedIndex: any;
    defaultConfigInfo: any;
    productCode: any;
    productDetails: any;
    accessoriesPrice: any;
    finishedVariantDetails: any;
    constructor(cartService: CartService, cdr: ChangeDetectorRef, activeCartService: ActiveCartService);
    ngOnInit(): void;
    updateDefaultCartDetails(): void;
    getColours(cartDetails: any, index: number): void;
    updateSelectedColourCode(code: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    showHide(ind: number): void;
    modalSelectedColor(event: any, colour: any, ind: number): void;
    addtionalModalSelectedColor(event: any, colour: any, ind: number): void;
    proceedWithSubmit(color: any, ind: number): void;
    cancel(): void;
    deleteEntry(entNumber: any): void;
    reoladCartEntires(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCartGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCartGridComponent, "app-custom-cart-grid", never, { "additionalPara": "additionalPara"; "cartDetails": "cartDetails"; }, { "updateCartEntry": "updateCartEntry"; }, never, never>;
}
